=== Exceptions

Blocks in an `if` chain that contain a single line of code are ignored, as are blocks in a `match` statement that contain a single line of code.

[source,scala]
----
if(a == 1) {
  doSomething  //no issue, usually this is done on purpose to increase the readability
} else if (a == 2) {
  doSomethingElse
} else {
  doSomething
}
----

But this exception does not apply to `if` chains without `else`-s, or to `match`-es without default clauses when all branches have the same single line of code. In case of `if` chains with `else`-s, or of `match`-es with default clauses, rule S3923 raises a bug. 

[source,scala]
----
if(a == 1) {
  doSomething  //Noncompliant, this might have been done on purpose but probably not
} else if (a == 2) {
  doSomething
}
----